Subject: Re: bug#4293: 23.1; use pop-to-buffer, not switch...other-window, in bookmark.el

From: martin rudalics <[email-masked]>
Date: Wed, 02 Sep 2009 11:58:59 +0200

> In bookmark-jump-other-window and bookmark-bmenu-other-window we call
 > switch-to-buffer-other-window. We should use pop-to-buffer, instead.
 >
 > With non-nil pop-up-frames, switch-to-buffer-other-window creates a
 > new frame each time, even if the destination buffer is already showing
 > in some frame. pop-to-buffer DTRT: it reuses the existing frame.

I'm not sure what the problem is here.  `switch-to-buffer-other-window'
has a clear purpose - do _not reuse the selected window_ (which is the
bookmarks window, IIUC).  OTOH `display-buffer-reuse-frames' non-nil
should assure that another frame is reused.

martin